#==============================================================
# DBMS name:      Microsoft Access 2000
# Created on:     3/18/2010 11:22:21 AM
#==============================================================


#==============================================================
# Table: DATA_SOURCE
#==============================================================
CREATETBLE C=DATA_SOURCE N="DATA_SOURCE"
(
   C=DATA_SOURCE T="TEXT(30)" P=YES M=YES N="DATA_SOURCE" Z=FALSE,
   C=DATABASE_NAME T="TEXT(20)" P=NO M=NO N="DATABASE_NAME" Z=FALSE,
   C=EFFECTIVE_DATE T="DATETIME" P=NO M=NO N="EFFECTIVE_DATE" Z=FALSE,
   C=PPDM_GUID T="TEXT(38)" P=NO M=NO N="PPDM_GUID" Z=FALSE,
   C=REMARK T="TEXT(254)" P=NO M=NO N="REMARK" Z=FALSE,
   C=USER_NAME T="TEXT(30)" P=NO M=NO N="USER_NAME" Z=FALSE
);

#==============================================================
# Index: PRB_DS_PK
#==============================================================
CREATEINDX C=PRB_DS_PK T=DATA_SOURCE U=UNIQUE K=PRIMARY
(
      C=DATA_SOURCE A=ASC
);

#==============================================================
# Table: PRB_BASIN_AUX
#==============================================================
CREATETBLE C=PRB_BASIN_AUX N="PRB_BASIN_AUX"
(
   C=AUX_ID T="SMALLINT" P=YES M=YES N="AUX_ID" Z=FALSE,
   C=TITLE T="TEXT(60)" P=NO M=NO N="TITLE" Z=FALSE,
   C=FILE_NAME T="TEXT(50)" P=NO M=NO N="FILE_NAME" Z=FALSE,
   C=REMARK T="TEXT(254)" P=NO M=NO N="REMARK" Z=FALSE,
   C=DATA_SOURCE T="TEXT(30)" P=NO M=NO N="DATA_SOURCE" Z=FALSE
);

#==============================================================
# Index: PRB_SPL_PK
#==============================================================
CREATEINDX C=PRB_SPL_PK T=PRB_BASIN_AUX U=UNIQUE K=PRIMARY
(
      C=AUX_ID A=ASC
);

#==============================================================
# Index: DATA_SOURCEPRB_BASIN_AUX
#==============================================================
CREATEINDX C=DATA_SOURCEPRB_BASIN_AUX T=PRB_BASIN_AUX K=FOREIGN
(
      C=DATA_SOURCE A=ASC
);

#==============================================================
# Table: PRB_CROSS_SECTION_APPENDIX
#==============================================================
CREATETBLE C=PRB_CROSS_SECTION_APPENDIX N="PRB_CROSS_SECTION_APPENDIX"
(
   C=WELL_NUMBER T="SMALLINT" P=YES M=YES N="WELL_NUMBER" Z=FALSE,
   C=WELL_LETTER T="TEXT(2)" P=YES M=YES N="WELL_LETTER" Z=FALSE,
   C=WELL_ID T="TEXT(14)" P=NO M=NO N="WELL_ID" Z=FALSE,
   C=ORIGINAL_ELEV_FT T="DOUBLE" P=NO M=NO N="ORIGINAL_ELEV_FT" Z=FALSE,
   C=WELL_TYPE T="TEXT(20)" P=NO M=NO N="WELL_TYPE" Z=FALSE,
   C=KEY_WELL T="TEXT(20)" P=NO M=NO N="KEY_WELL" Z=FALSE,
   C=OPERATOR T="TEXT(80)" P=NO M=NO N="OPERATOR" Z=FALSE,
   C=WELL_NAME T="TEXT(60)" P=NO M=NO N="WELL_NAME" Z=FALSE,
   C=COUNTY T="TEXT(40)" P=NO M=NO N="COUNTY" Z=FALSE,
   C=STATE T="TEXT(40)" P=NO M=NO N="STATE" Z=FALSE,
   C=CROSS_SECTION T="TEXT(20)" P=NO M=NO N="CROSS_SECTION" Z=FALSE,
   C=LOG_TYPE T="TEXT(40)" P=NO M=NO N="LOG_TYPE" Z=FALSE,
   C=SHORT_ID T="TEXT(14)" P=NO M=NO N="SHORT_ID" Z=FALSE,
   C=LONGITUDE T="DECIMAL" P=NO M=NO N="LONGITUDE" Z=FALSE,
   C=LATITUDE T="DOUBLE" P=NO M=NO N="LATITUDE" Z=FALSE,
   C=SPOT_ELEV_FT T="SMALLINT" P=NO M=NO N="SPOT_ELEV_FT" Z=FALSE,
   C=CROSS_SECTION_ELEV_FT T="SMALLINT" P=NO M=NO N="CROSS_SECTION_ELEV_FT" Z=FALSE,
   C=FIGURE_NUMBER T="TEXT(40)" P=NO M=NO N="FIGURE_NUMBER" Z=FALSE,
   C=DATA_SOURCE T="TEXT(30)" P=NO M=NO N="DATA_SOURCE" Z=FALSE,
   C=CONTACT_ELEV_FT T="DOUBLE" P=NO M=NO N="CONTACT_ELEV_FT" Z=FALSE
);

#==============================================================
# Index: PRB_CSAPX_PK
#==============================================================
CREATEINDX C=PRB_CSAPX_PK T=PRB_CROSS_SECTION_APPENDIX U=UNIQUE K=PRIMARY
(
      C=WELL_NUMBER A=ASC,
      C=WELL_LETTER A=ASC
);

#==============================================================
# Index: DATA_SOURCEPRB_CROSS_SECTION_APENDIX
#==============================================================
CREATEINDX C=DATA_SOURCEPRB_CROSS_SECTION_APENDIX T=PRB_CROSS_SECTION_APPENDIX K=FOREIGN
(
      C=DATA_SOURCE A=ASC
);

#==============================================================
# Table: PRB_CROSS_SECTION_ELEV
#==============================================================
CREATETBLE C=PRB_CROSS_SECTION_ELEV N="PRB_CROSS_SECTION_ELEV"
(
   C=WELL_NUMBER T="INTEGER" P=YES M=YES N="WELL_NUMBER" Z=FALSE,
   C=WELL_LETTER T="TEXT(255)" P=YES M=YES N="WELL_LETTER" Z=FALSE,
   C=SAND_ID T="INTEGER" P=NO M=NO N="SAND_ID" Z=FALSE,
   C=COAL_ID T="INTEGER" P=NO M=NO N="COAL_ID" Z=FALSE,
   C=COAL_NAME T="TEXT(255)" P=NO M=NO N="COAL_NAME" Z=FALSE,
   C=TOP_ELEV_FT T="DOUBLE" P=NO M=NO N="TOP_ELEV_FT" Z=FALSE,
   C=BOTTOM_ELEV_FT T="DOUBLE" P=NO M=NO N="BOTTOM_ELEV_FT" Z=FALSE,
   C=DATA_SOURCE T="TEXT(255)" P=NO M=NO N="DATA_SOURCE" Z=FALSE
);

#==============================================================
# Index: PRIMARYKEY
#==============================================================
CREATEINDX C=PRIMARYKEY T=PRB_CROSS_SECTION_ELEV U=UNIQUE
(
      C=WELL_NUMBER A=ASC,
      C=WELL_LETTER A=ASC,
      C=TOP_ELEV_FT A=ASC
);

#==============================================================
# Index: PRB_CRS_ELEV_PK
#==============================================================
CREATEINDX C=PRB_CRS_ELEV_PK T=PRB_CROSS_SECTION_ELEV U=UNIQUE K=PRIMARY
(
      C=WELL_LETTER A=ASC,
      C=WELL_NUMBER A=ASC
);

#==============================================================
# Index: DATA_SOURCEPRB_CROSS_SECTION_ELEV
#==============================================================
CREATEINDX C=DATA_SOURCEPRB_CROSS_SECTION_ELEV T=PRB_CROSS_SECTION_ELEV K=FOREIGN
(
      C=DATA_SOURCE A=ASC
);

#==============================================================
# Table: PRB_CROSS_SECTION_LIST
#==============================================================
CREATETBLE C=PRB_CROSS_SECTION_LIST N="PRB_CROSS_SECTION_LIST"
(
   C=WELL_NUMBER T="DOUBLE" P=YES M=YES N="WELL_NUMBER" Z=FALSE,
   C=WELL_LETTER T="TEXT(2)" P=YES M=YES N="WELL_LETTER" Z=FALSE,
   C=CROSS_SECTION T="TEXT(8)" P=NO M=NO N="CROSS_SECTION" Z=FALSE,
   C=FILE_NAME T="TEXT(50)" P=NO M=NO N="FILE_NAME" Z=FALSE,
   C=DATA_SOURCE T="TEXT(30)" P=NO M=NO N="DATA_SOURCE" Z=FALSE
);

#==============================================================
# Index: PRB_CRS_LST_PK
#==============================================================
CREATEINDX C=PRB_CRS_LST_PK T=PRB_CROSS_SECTION_LIST U=UNIQUE K=PRIMARY
(
      C=WELL_LETTER A=ASC,
      C=WELL_NUMBER A=ASC
);

#==============================================================
# Index: PRB_CROSS_SECTION_LISTDATA_SOURCE
#==============================================================
CREATEINDX C=PRB_CROSS_SECTION_LISTDATA_SOURCE T=PRB_CROSS_SECTION_LIST
(
      C=DATA_SOURCE A=ASC
);

